> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present.md).

# Terminal (card-present)

The Terminal (card-present) API allows you to process card-present or in-person transactions using EMV-enabled payment devices. This API support secure in-person transactions, including sales, refunds, authorizations, and batch processing.

The Terminal API also supports:

* EMV transaction processing for chip and contactless payments

* Signature capture for completed transactions

* Batch management, including closing open terminal batches

* [Transaction EMV](/api-reference/api/payments/terminal-card-present/transaction-emv.md)

* [Transaction Signature](/api-reference/api/payments/terminal-card-present/transaction-signature.md)

* [Transaction EMV Batches](/api-reference/api/payments/terminal-card-present/transaction-emv-batches.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
